
package reparto_mazapa.keymon.lat;

import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RemoteObject;

public class c_detalle_promo {
    public static RemoteObject myClass;
	public c_detalle_promo() {
	}
    public static PCBA staticBA = new PCBA(null, c_detalle_promo.class);

public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _root = RemoteObject.declareNull("anywheresoftware.b4a.objects.B4XViewWrapper");
public static RemoteObject _xui = RemoteObject.declareNull("anywheresoftware.b4a.objects.B4XViewWrapper.XUI");
public static RemoteObject _c = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL.CursorWrapper");
public static RemoteObject _regresar = RemoteObject.declareNull("anywheresoftware.b4a.objects.ButtonWrapper");
public static RemoteObject _b = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL.CursorWrapper");
public static RemoteObject _regalo = RemoteObject.createImmutable("");
public static RemoteObject _listview1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.ListViewWrapper");
public static RemoteObject _l_cant = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
public static RemoteObject _l_total = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
public static RemoteObject _borra = RemoteObject.declareNull("anywheresoftware.b4a.objects.ButtonWrapper");
public static RemoteObject _existe = RemoteObject.createImmutable("");
public static RemoteObject _dateutils = RemoteObject.declareNull("b4a.example.dateutils");
public static reparto_mazapa.keymon.lat.main _main = null;
public static reparto_mazapa.keymon.lat.appupdater _appupdater = null;
public static reparto_mazapa.keymon.lat.tracker _tracker = null;
public static reparto_mazapa.keymon.lat.starter _starter = null;
public static reparto_mazapa.keymon.lat.subs _subs = null;
public static reparto_mazapa.keymon.lat.firebasemessaging _firebasemessaging = null;
public static reparto_mazapa.keymon.lat.foto _foto = null;
public static reparto_mazapa.keymon.lat.mapa_cliente _mapa_cliente = null;
public static reparto_mazapa.keymon.lat.mapa_rutas _mapa_rutas = null;
public static reparto_mazapa.keymon.lat.newinst2 _newinst2 = null;
public static reparto_mazapa.keymon.lat.b4xpages _b4xpages = null;
public static reparto_mazapa.keymon.lat.b4xcollections _b4xcollections = null;
public static reparto_mazapa.keymon.lat.httputils2service _httputils2service = null;
public static reparto_mazapa.keymon.lat.xuiviewsutils _xuiviewsutils = null;
public static Object[] GetGlobals(RemoteObject _ref) throws Exception {
		return new Object[] {"b",_ref.getField(false, "_b"),"borra",_ref.getField(false, "_borra"),"c",_ref.getField(false, "_c"),"DateUtils",_ref.getField(false, "_dateutils"),"Existe",_ref.getField(false, "_existe"),"L_CANT",_ref.getField(false, "_l_cant"),"L_TOTAL",_ref.getField(false, "_l_total"),"ListView1",_ref.getField(false, "_listview1"),"regalo",_ref.getField(false, "_regalo"),"Regresar",_ref.getField(false, "_regresar"),"Root",_ref.getField(false, "_root"),"xui",_ref.getField(false, "_xui")};
}
}